Skip to main content
PUT
/
contact-methods
/
external
/
{externalId}
Create or update a contact method by external ID
curl --request PUT \
  --url https://api.artu.ai/contact-methods/external/{externalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "value": "<string>",
  "isPrimary": false,
  "label": "<string>",
  "metadata": {}
}
'
{
  "data": {
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "value": "<string>",
    "isVerified": true,
    "verifiedAt": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "isPrimary": false,
    "label": "<string>",
    "externalId": "<string>",
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required

External ID

Minimum string length: 1

Body

application/json
clientId
string<uuid>
required

Client ID

type
enum<string>
required

Type

Available options:
email,
phone,
mobile,
fax,
other
value
string
required

Value

Minimum string length: 1
isPrimary
boolean
default:false

Is Primary

label
string

Label

metadata
object

Metadata

Response

200 - application/json

OK

data
object
required
action
enum<string>
required
Available options:
created,
updated,
skipped